Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.muc.spi
Class RemoteMUCUser

    java.lang.Object
      org.jivesoftware.openfire.muc.spi.RemoteMUCUser

All Implemented Interfaces:
  ChannelHandler, MUCUser

    public class RemoteMUCUser

extends Object
implements MUCUser

User hosted by another cluster node that is presente in a local room. Remote users are only created when processing unavailable presences sent when the node hosting the actual user went down. Each cluster node remaining in the cluster will create an unavailable presence for each user hosted in the cluster node that went down as a way to indicate the remaining room occupants that the user is offline.

Author:
  Gaston Dombiak

Constructor Summary
`RemoteMUCUser(JID realjid, LocalMUCRoom room)`

Method Summary
`JID` | `getAddress()` Obtain the address of the user.
`void` | `process(Packet packet)` Process an XMPP packet.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteMUCUser

    public RemoteMUCUser(JID realjid,
                         LocalMUCRoom room)

Method Detail

### getAddress

    public JID getAddress()

  Description copied from interface: `MUCUser`
  Obtain the address of the user. The address is used by services like the core server packet router to determine if a packet should be sent to the handler. Handlers that are working on behalf of the server should use the generic server hostname address (e.g. server.com).

  Specified by:
    `getAddress` in interface `MUCUser`
  Returns:
    the address of the packet handler.

### process

    public void process(Packet packet)
                 throws UnauthorizedException,
                        PacketException

  Description copied from interface: `ChannelHandler`
  Process an XMPP packet.

  Specified by:
    `process` in interface `ChannelHandler`
  Parameters:
    `packet` - a packet to process.
  Throws:
    `UnauthorizedException` - if not allowed to process the packet.
    `PacketException` - thrown if the packet is malformed (results in the sender's session being shutdown).

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.